-module(ref_case1v3).

f(Data) -> 
    X = 2,
    Pid = 2008,
    B = {reply, X*Data+2},
    case Data of
        {firstcase, 1} -> 
            X = 1,
            Pid ! B;
        {nextcase, 2} -> 
            X = 2,
            Pid ! B
    end.
